<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce

  Released under the GNU General Public License
*/

  class bm_ship200_bulk {
    var $code = 'bm_ship200_bulk';
    var $group = 'boxes';
    var $title;
    var $description;
    var $sort_order;
	var $ship200_key;
	var $order_status_import;
	var $order_status_tracking;
    var $enabled = false;

    function bm_ship200_bulk() {
		
		global $order;
		
      $this->title = MODULE_BOXES_SHIP200_BULK_TITLE;
      $this->description = MODULE_BOXES_SHIP200_BULK_DESCRIPTION;

      if (defined('MODULE_BOXES_SHIP200_BULK_STATUS')) {
		$this->ship200_key = MODULE_BOXES_SHIP200_BULK_KEY;
        $this->enabled = (MODULE_BOXES_SHIP200_BULK_STATUS == 'True');

		if ((int)MODULE_BOXES_SHIP200_BULK_ORDER_STATUS_IMPORT > 0) {
        $this->order_status_import = MODULE_BOXES_SHIP200_BULK_ORDER_STATUS_IMPORT;
      }
	  
	  if ((int)MODULE_BOXES_SHIP200_BULK_ORDER_STATUS_TRACKING > 0) {
        $this->order_status_tracking = MODULE_BOXES_SHIP200_BULK_ORDER_STATUS_TRACKING;
      }

      }
    }

    function execute() {}

    function isEnabled() {
      return $this->enabled;
    }

    function check() {
      return defined('MODULE_BOXES_SHIP200_BULK_STATUS');
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Ship200 Bulk Processing Module', 'MODULE_BOXES_SHIP200_BULK_STATUS', 'True', 'Do you want to add the module to your shop?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
	  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Ship200 Secret Key', 'MODULE_BOXES_SHIP200_BULK_KEY', '0', '1. Login to your Ship200.com Account.</br>2. On Top Menu click Import then Setup New Import then Setup Import From osCommerce.</br>3. Change domain name to your domain in Path to Ship200 Comunicator Script Field then hit Save Changes.4. Place the key from ship200 setup page to the above.', '6', '0', now())");

	  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Order Status Import:', 'MODULE_BOXES_SHIP200_BULK_ORDER_STATUS_IMPORT', '1', '', '6', '0', 'tep_cfg_pull_down_order_statuses(', 'tep_get_order_status_name', now())");
	  
	  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Order Status Tracking:', 'MODULE_BOXES_SHIP200_BULK_ORDER_STATUS_TRACKING', '3', '', '6', '0', 'tep_cfg_pull_down_order_statuses(', 'tep_get_order_status_name', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_BOXES_SHIP200_BULK_STATUS','MODULE_BOXES_SHIP200_BULK_KEY','MODULE_BOXES_SHIP200_BULK_ORDER_STATUS_IMPORT','MODULE_BOXES_SHIP200_BULK_ORDER_STATUS_TRACKING');
    }
  }
?>
